For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all units
        • GETGet a unit by ID
        • PUTUpdate Unit: MRI - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
MRIUnits

Get all units

GET
/v1/units/
GET
/v1/units/
$curl https://api.propexo.com/v1/units/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "W-34",
18 "x_property_id": "789",
19 "x_floor_plan_id": null,
20 "x_unit_type_id": null,
21 "bathrooms": "1",
22 "bathrooms_full": null,
23 "bathrooms_half": null,
24 "bedrooms": "1",
25 "building_name": null,
26 "building_number": "A",
27 "city": "Milwaukee",
28 "country": null,
29 "custom_data": {},
30 "floor_plan_code": null,
31 "floor_plan_name": null,
32 "floor": null,
33 "is_available": null,
34 "is_furnished": null,
35 "is_vacant": null,
36 "number": null,
37 "rent_amount_market_in_cents": null,
38 "rent_amount_max_in_cents": 375000,
39 "rent_amount_min_in_cents": 330000,
40 "square_feet": 900,
41 "state": "WI",
42 "address_1": "415 Main Street",
43 "address_2": "415 Main Street",
44 "zip": "53172",
45 "pets_allowed": null,
46 "dogs_allowed": null,
47 "cats_allowed": null,
48 "pet_policy": null,
49 "floor_plan_id": null,
50 "integration_id": "clwh5u07w000508me66sfh3um",
51 "integration_vendor": "MRI",
52 "property_id": "clwi5xiix000008l6ctdgafyh",
53 "unit_type_id": null,
54 "is_listed": null,
55 "street_address_1": "string",
56 "street_address_2": null
57 }
58 ]
59}
Get all units
Was this page helpful?
Previous

Get a unit by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external unit id
x_property_idstringOptional

Deprecated: Use the Propexo property_id instead

location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo property id
integration_idstringOptional
The Propexo integration id
integration_vendorenumOptional
The integration vendor for the unit.
unit_numberstringOptional

The number of the unit. When using this, the Propexo property_id filter must be added as well.

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error